#ifndef CommandParserH
#define CommandParserH

#include "util/Pointers.h"

class CommandParser
{
public:
	virtual void addData(int dataByte)=0;
	virtual CommandPtr readCommand()=0;
	virtual void reset()=0;
    virtual void setListener(CommandParserListener* listener)=0;
    virtual void close() = 0;
};

#endif
